stages:
  - test
  - publish

run-test:
  stage: test
  tags:
    - exec-shell
    - lib-python-3
    - lib-ansible
    - lib-docker
    - os-linux
    - arch-amd64
    - loc-us
    - env-dev
  script:
    - make lint
  only:
    - pushes

run-publish:
  stage: publish
  tags:
    - exec-shell
    - lib-python-3
    - lib-ansible
    - lib-docker
    - os-linux
    - arch-amd64
    - loc-us
    - env-dev
  script:
    - make publish USERID=${CI_DOCKER_USERID} PASSWORD=${CI_DOCKER_TOKEN}
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
      changes:
        - Dockerfile
        - contents/*